package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;



/**
 * 巡检线路明细对象 dms_inspect_route_detail
 *
 * @author Open Platform
 * @date 2024-01-16
 */
public class DmsInspectRouteDetail extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long routeDetailId;

    /** 线路ID,关联dms_base_inspect_route的inspect_route_id */
    @Excel(name = "线路ID,关联dms_base_inspect_route的inspect_route_id")
    private Long inspectRouteId;

    /** 巡检步骤 */
    @Excel(name = "巡检步骤")
    private Long lineStep;

    /** 巡检设备ID，关联dms_base_device_ledger的device_id */
    @Excel(name = "巡检设备ID，关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 车间绑定设备ID，关联base_deviceledger.obj_id */
    private Long machineId;

    /** 巡检标准 */
    @Excel(name = "巡检标准")
    private String inspectStandard;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    private String deviceName;

    private String standardName;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getStandardName() {
        return standardName;
    }

    public void setStandardName(String standardName) {
        this.standardName = standardName;
    }

    public void setRouteDetailId(Long routeDetailId)
    {
        this.routeDetailId = routeDetailId;
    }

    public Long getRouteDetailId()
    {
        return routeDetailId;
    }
    public void setInspectRouteId(Long inspectRouteId)
    {
        this.inspectRouteId = inspectRouteId;
    }

    public Long getInspectRouteId()
    {
        return inspectRouteId;
    }
    public void setLineStep(Long lineStep)
    {
        this.lineStep = lineStep;
    }

    public Long getLineStep()
    {
        return lineStep;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }

    public Long getMachineId() {
        return machineId;
    }

    public void setMachineId(Long machineId) {
        this.machineId = machineId;
    }
    public void setInspectStandard(String inspectStandard)
    {
        this.inspectStandard = inspectStandard;
    }

    public String getInspectStandard()
    {
        return inspectStandard;
    }
    public void setIsFlag(String isFlag)
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("routeDetailId", getRouteDetailId())
            .append("inspectRouteId", getInspectRouteId())
            .append("lineStep", getLineStep())
            .append("deviceId", getDeviceId())
            .append("machineId", getMachineId())
            .append("inspectStandard", getInspectStandard())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .toString();
    }
}
